Name:           perl-Dancer-Plugin-DBIC
Version:        0.2104
Release:        1%{?dist}
Summary:        DBIx::Class interface for Dancer applications

License:        GPL+ or Artistic
URL:            http://search.cpan.org/~ironcamel/Dancer-Plugin-DBIC-0.2100/lib/Dancer/Plugin/DBIC.pm
Source0:        Dancer-Plugin-DBIC-%{version}.tar.gz

BuildArch:      noarch
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(ExtUtils::MakeMaker)

# These are needed to get the test suite to run
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Dancer) >= 1.3098
BuildRequires:  perl(Dancer::Plugin)
BuildRequires:  perl(DBIx::Class)
BuildRequires:  perl(DBIx::Class::Schema::Loader)
BuildRequires:  perl(Module::Load)
BuildRequires:  perl(Module::Load::Conditional)
BuildRequires:  perl(DBD::SQLite)
BuildRequires:  perl(SQL::Translator) >= 0.11016

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This plugin makes it very easy to create Dancer applications that interface
with databases. It automatically exports the keyword schema which returns a
DBIx::Class::Schema object. You just need to configure your database connection
information. For performance, schema objects are cached in memory and are lazy
loaded the first time they are accessed.

%prep
%setup -q -n Dancer-Plugin-DBIC-%{version}


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sat Dec 05 2015 Ralf Ertzinger <ralf@skytale.net> 0.2104
- Update to 0.2104

* Sun Aug 17 2014 Ralf Ertzinger <ralf@skytale.net> 0.2100
- Initial build
